<template>
  <div class="sa-input-group">
    <label class="label">{{ label }}</label>
    <sa-caption class="description" :text="description" />
    <slot></slot>
    <sa-caption class="status" :type="statusType" :text="status" />
  </div>
</template>

<script>
export default {
  name: 'SaInputGroup',
  props: {
    label: {
      type: String,
      required: true
    },
    description: {
      type: String,
      default: null
    },
    status: {
      type: String,
      default: null
    },
    inError: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    statusType() {
      return this.inError ? 'danger' : 'success'
    }
  }
}
</script>

<style lang="scss" scoped>
.label {
  margin-bottom: spacing(1);
  display: inline-block;
}
.description {
  margin-bottom: spacing(1);
}
.status {
  margin-top: spacing(1);
}
</style>
